#ifndef _ENGINE_H
#define _ENGINE_H

#include "stdafx.h"

class Engine : public IO_Module
{
public:
	Engine()
	{
		this->enabled = false;
		this->parent = NULL;
	}

	Engine(uint32 engineId)
	{
		this->enabled = false;
		this->parent = NULL;
		this->moduleId = engineId;
	}

protected:
	bool enabled;
	float curSpeed;

public:
	float GetSpeed()
	{
		return curSpeed;
	}

	void SetSpeed(float newSpeed)
	{
		curSpeed = newSpeed;
	}

	bool GetEnabled()
	{
		return enabled;
	}

	void SetEnabled(bool newStatus)
	{
		enabled = newStatus;
	}
};

#endif
